> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omneo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Appointment Capacity Group

> A `PUT` to the `/appointment-capacity-groups/{appointmentCapacityGroupId}` endpoint allows your application to update a specific appointment capacity group.



## OpenAPI

````yaml put /v3/appointment-capacity-groups/{appointmentCapacityGroup}
openapi: 3.1.0
info:
  title: Omneo
  version: 0.0.1
servers:
  - url: https://api.{tenant}.getomneo.com/api
    variables:
      tenant:
        default: example
security: []
paths:
  /v3/appointment-capacity-groups/{appointmentCapacityGroup}:
    put:
      tags:
        - Appointment Capacity Group
      summary: Update Appointment Capacity Group
      description: >-
        A `PUT` to the
        `/appointment-capacity-groups/{appointmentCapacityGroupId}` endpoint
        allows your application to update a specific appointment capacity group.
      operationId: appointment-capacity-groups.update
      parameters:
        - name: appointmentCapacityGroup
          in: path
          required: true
          description: The appointment capacity group ID
          schema:
            type: integer
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateAppointmentCapacityGroup'
      responses:
        '200':
          description: '`AppointmentCapacityGroup`'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/AppointmentCapacityGroup'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    UpdateAppointmentCapacityGroup:
      type: object
      properties:
        handle:
          type: string
          maxLength: 255
        name:
          type: string
          maxLength: 255
        description:
          type:
            - string
            - 'null'
        max_concurrent_bookings:
          type: integer
          minimum: 1
        buffer_before_minutes:
          type: integer
          minimum: 0
        buffer_after_minutes:
          type: integer
          minimum: 0
        meta:
          type:
            - array
            - 'null'
          items:
            type: string
      title: UpdateAppointmentCapacityGroup
    AppointmentCapacityGroup:
      type: object
      properties:
        id:
          type: integer
        handle:
          type: string
        name:
          type: string
        description:
          type:
            - string
            - 'null'
        max_concurrent_bookings:
          type: integer
        buffer_before_minutes:
          anyOf:
            - type: integer
            - type: integer
              enum:
                - 0
        buffer_after_minutes:
          anyOf:
            - type: integer
            - type: integer
              enum:
                - 0
        meta:
          type:
            - array
            - 'null'
          items: {}
        appointment_definitions_count:
          type: integer
        appointment_definitions:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              handle:
                type: string
              name:
                type: string
            required:
              - id
              - handle
              - name
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - handle
        - name
        - description
        - max_concurrent_bookings
        - buffer_before_minutes
        - buffer_after_minutes
        - meta
        - created_at
        - updated_at
      title: AppointmentCapacityGroup
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.